Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.config.util.domain
Class PackageInfo

    java.lang.Object
      be.ehealth.technicalconnector.config.util.domain.PackageInfo

Direct Known Subclasses:
  McnPackageInfo

Deprecated.

    @Deprecated
    public class PackageInfo

extends Object

Bean used to access package information for MyCarenet services.

Constructor Summary
`PackageInfo()` Deprecated.
`PackageInfo(String userName, String password, String name)` Deprecated. Creates a PackageInfo object.

Method Summary
`String` | `getPackageName()` Deprecated. Getter for name.
`String` | `getPassword()` Deprecated. Getter for password.
`String` | `getUserName()` Deprecated. Getter for userName.
`void` | `setPackageName(String name)` Deprecated. Setter for name.
`void` | `setPassword(String password)` Deprecated. Setter for password.
`void` | `setUserName(String userName)` Deprecated. Setter for userName.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageInfo

    public PackageInfo()

  Deprecated.

### PackageInfo

    public PackageInfo(String userName,
                       String password,
                       String name)

  Deprecated.
  Creates a PackageInfo object.

  Parameters:
    `userName` -
    `password` -
    `name` -

Method Detail

### setUserName

    public void setUserName(String userName)

  Deprecated.
  Setter for userName.

  Parameters:
    `userName` -

### getUserName

    public String getUserName()

  Deprecated.
  Getter for userName.

  Returns:

### setPassword

    public void setPassword(String password)

  Deprecated.
  Setter for password.

  Parameters:
    `password` -

### getPassword

    public String getPassword()

  Deprecated.
  Getter for password.

  Returns:

### setPackageName

    public void setPackageName(String name)

  Deprecated.
  Setter for name.

  Parameters:
    `name` -

### getPackageName

    public String getPackageName()

  Deprecated.
  Getter for name.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.